==================== 2.25.92 ====================

2008-09-07  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* Makefile.am:
	* access/Makefile.am: Modernize autofoo, bug #550919
	move INCLUDES to AM_CPPFLAGS, patch by
	Marc-Andre Lureau <marcandre.lureau@gmail.com>

2008-03-24  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* bsd-cdrom.c, bsd-cdrom.h, callbacks.c, callbacks.h, cddb.c,
	cddb.h, cdrom.c, cdrom.h, display.c, display.h, gnome-cd.c,
	gnome-cd.h, gst-cdrom.c, gst-cdrom.h, linux-cdrom.c,
	linux-cdrom.h, preferences.c, preferences.h, solaris-cdrom.c,
	solaris-cdrom.h: Updated copyright/license GPL notice on top of
	each file.

2007-09-26  Kjartan Maraas  <kmaraas@gnome.org>

	* access/pangoaccessiblefactory.c:
	(pango_accessible_factory_get_type),
	(pango_accessible_factory_new):
	* callbacks.c: (open_track_editor), (volume_changed):
	* gnome-cd.c: (set_volume), (show_error), (init_player), (main):
	* gst-cdrom.c: (gst_cdrom_set_playbin_state_to_null),
	(gst_cdrom_seek_to_time), (gst_cdrom_skip), (gst_cdrom_update_cd):
	* preferences.c: Sparse warning fixes and leak plugging.

2007-09-19  Bastien Nocera  <hadess@hadess.net>

	* gnome-cd.c: (make_button_from_stock), (make_popup_menu),
	(init_player): Patch from Matthias Clasen <mclasen@redhat.com>
	to fix the default icons not showing up properly, as they're not
	named icons, but stock ones (name is different because of the
	RTL variants)

2007-09-06  Bastien Nocera  <hadess@hadess.net>

	* gst-cdrom.c: (gst_cdrom_eos_msg): Fix playing the last track when
	in track mode (Closes: #431341)

2007-05-14  Michael Terry  <mterry@gnome.org>

	* Makefile.am: Install app icon into hicolor theme, not .../pixmaps

	* gnome-cd.c: (make_button_from_icon_name), (make_popup_menu),
	(init_player), (tray_icon_create), (main): Look up icons in theme,
	not from stock

	* gnome-cd.desktop.in.in: Remove png suffix from icon

	* images/Makefile.am:
	* images/None/Makefile.am:

	Don't install unused icons

	* images/None/None.theme: Remove obsolete <icons> section

	* images/media/media-fwd.png:
	* images/media/media-stop.png:
	* images/media/a-stop-menu.png:
	* images/media/media-eject.png:
	* images/media/a-first-menu.png:
	* images/media/a-eject-menu.png:
	* images/media/media-rew.png:
	* images/media/media-play.png:
	* images/media/a-last-menu.png:
	* images/media/a-play-menu.png:
	* images/media/media-rec.png:
	* images/media/media-prev.png:
	* images/media/media-pause.png:
	* images/media/media-next.png:
	* images/media-eject.png:
	* images/None/media-fwd.png:
	* images/None/media-stop.png:
	* images/None/a-stop-menu.png:
	* images/None/a-first-menu.png:
	* images/None/media-eject.png:
	* images/None/media-rew.png:
	* images/None/a-eject-menu.png:
	* images/None/media-play.png:
	* images/None/a-last-menu.png:
	* images/None/a-play-menu.png:
	* images/None/media-prev.png:
	* images/None/media-pause.png:
	* images/None/media-next.png:
	* images/lcd/a-fwd.png:
	* images/lcd/a-pause-pressed.png:
	* images/lcd/a-fwd-pressed.png:
	* images/lcd/a-first.png:
	* images/lcd/a-first-menu.png:
	* images/lcd/a-eject.png:
	* images/lcd/a-first-pressed.png:
	* images/lcd/a-eject-pressed.png:
	* images/lcd/a-rwnd.png:
	* images/lcd/a-rwnd-pressed.png:
	* images/lcd/a-stop.png:
	* images/lcd/a-stop-menu.png:
	* images/lcd/a-stop-pressed.png:
	* images/lcd/a-eject-menu.png:
	* images/lcd/a-last.png:
	* images/lcd/a-last-menu.png:
	* images/lcd/a-play.png:
	* images/lcd/a-last-pressed.png:
	* images/lcd/a-play-menu.png:
	* images/lcd/a-play-pressed.png:
	* images/lcd/a-pause.png:
	* images/mixer.png:
	* images/a-play-menu.png:
	* images/cd.png:
	* images/red-lcd/a-fwd.png:
	* images/red-lcd/a-pause-pressed.png:
	* images/red-lcd/a-fwd-pressed.png:
	* images/red-lcd/a-first.png:
	* images/red-lcd/a-first-menu.png:
	* images/red-lcd/a-eject.png:
	* images/red-lcd/a-first-pressed.png:
	* images/red-lcd/a-eject-pressed.png:
	* images/red-lcd/a-rwnd.png:
	* images/red-lcd/a-rwnd-pressed.png:
	* images/red-lcd/a-stop.png:
	* images/red-lcd/a-stop-menu.png:
	* images/red-lcd/a-stop-pressed.png:
	* images/red-lcd/a-eject-menu.png:
	* images/red-lcd/a-last.png:
	* images/red-lcd/a-last-menu.png:
	* images/red-lcd/a-play.png:
	* images/red-lcd/a-last-pressed.png:
	* images/red-lcd/a-play-menu.png:
	* images/red-lcd/a-play-pressed.png:
	* images/red-lcd/a-pause.png:

	Deleted, as these icons are unused or grabbed from icon theme
	instead

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* linux-cdrom.c: (linux_cdrom_get_status): return FALSE, not "return"
	when we can't read the CD header (Closes: #403518)

2006-12-19  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-cd.c: (start_playing), (main): Fix
	play at startup. Patch from Tim-Philipp Müller.
	Closes bug #350799.

2006-12-19  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-cd/bsd-cdrom.c:
	* gnome-cd/gst-cdrom.c: (gst_cdrom_update_cd):
	Portability fixes for kFreeBSD. Loïc Minier. Closes
	bug #382770.

2006-08-25  Kjartan Maraas  <kmaraas@gnome.org>

	* eggtrayicon.[ch]: Remove these
	* Makefile.am: Remove the references to them here too.

2006-08-25  Kjartan Maraas  <kmaraas@gnome.org>

	* callbacks.c: (status_ok), (cd_status_changed_cb),
	(tray_popup_menu_cb), (tray_icon_activated), (tray_icon_destroyed):
	* callbacks.h:
	* gnome-cd.c: (tray_icon_create):
	* gnome-cd.h: Port to GtkStatusIcon from the libegg equivalent.
	Patch from Vincent Vuntz. Closes bug #348645.

2005-05-12 Alan Horkan <horkana tcd ie>     
	* gnome-cd/callbacks.c : removed last of libgnomeui
	made possible thanks to work by Nirmal Kumar R

2005-05-16  Vincent van Adrighem  <adrighem@gnome.org>

	* doc/: Added Dutch translation of docs (screenies still English).
		(Thanks to Myckel Habets)

2005-02-14  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* solaris-cdrom.c (set_audio_port): Pass correct number of arguments to
	AUDIO_INITINFO. Fixes bug #166814 

2005-01-24  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* gnome-cd.c (main): Check for the registry if its not there
	give an error dialog and exit. Fixes bug #138582

2004-10-29  Sebastien Bacher  <seb128@debian.org>

	* preferences.c: (do_device_changed), (preferences_dialog_show):
	removed useless comments from the previous patch.

2004-10-28  Fernando Herrera  <fherrera@onirica.com>

	* Makefile.am:
	* callbacks.c: (open_preferences):
	* gnome-cd.c: (show_error), (init_player):
	* preferences.c: (do_device_changed), (device_changed_cb),
	(preferences_dialog_show):
	* preferences.h: Use BaconCdSelection for selecting the CD unit.

2004-06-01  Thomas Vander Stichele  <thomas at apestaart dot org>

	* linux-cdrom.c: (linux_cdrom_get_status):
          fix #117695 - if ENOTSUP, flag and don't retry

2004-05-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* callbacks.c: (cd_status_changed_cb):
	* cddb.c: (get_disc_info), (cddb_listener_event_cb),
	(cddb_close_client), (cddb_get_query):
	  - add debugging
	  - rename slave to slave_client since that's what it really is
	  - check the discid from the listener callback against the one
            we stored internally for lookup so we only use discid's we
	    asked to look up
	* gnome-cd.h:
	  add discid

2004-05-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* HACKING:
	* callbacks.c: (set_window_track_title), (status_ok):
          do not pass "" strings for display, but use NULL.
	* display.c:
          replace unknown strings with others also used for translation
          so they match and don't seem to change
	* gnome-cd.c: (gnome_cd_set_window_title):
	  when either artist or track is NULL, display the other.
          Only display app name when both are NULL.
	  Fixes #114015

2004-05-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* HACKING:
          adding hacking notes
	* callbacks.c: (status_ok):
	* cddb.c: (get_disc_info), (cddb_sum):
          use gcd_debug
	* gnome-cd.c: (gcd_warning), (gcd_debug):
	* gnome-cd.h:
          adding gcd_debug

2004-05-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* callbacks.c: (status_ok), (cd_status_changed_cb):
	* cdrom.c:
	* gnome-cd.c:
          adding clarifying comments

2004-05-06  Thomas Vander Stichele  <thomas at apestaart dot org>
                                                                                
        * gnome-cd/cddb.c: (cddb_sum):
        * gnome-cd/cdrom.c: (gnome_cdrom_status_changed):
          initializes pointers.  Fixes #124924.

2004-03-26  Leena Gunda  <leena.gunda@wipro.com>

	* gnome-cd.c (init_player): Connect cd_display_set_style
	callback for the style_set signal of the CDDisplay.
	* display.h, display.c (cd_display_set_style): Callback
	to redraw the display text when the style changes.
	Fixes bug #125409.

2004-04-23  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* linux-cdrom.c: Differentiate between a audio and a data cd
	Solves bug #119596

2004-04-23  Richard Kinder <r_kinder@yahoo.com>
	* gnome-cd.c: make the CD stop when the app exits. Fixes #139555.

2004-03-09  Ted Gould <ted@gould.cx>

	* gnome-cd.c, callbacks.c: Adding a patch from Mihael Vrbanec
	which fixes the slider on startup, and also resets it so that it
	is possitive instead of negative.  This is bug #131158

2004-02-27  Breda McColgan <breda.mccolgan@sun.com>

	* doc/C/gnome-cd-C.omf: Original category was correct after all -- see http://mail.gnome.org/archives/gnome-doc-list/2004-February/msg00126.html

2004-02-23  Ted Gould <ted@gould.cx>

	* cddb.c, display.c, preferences.c, theme.c:
	Applying a patch by Kjartan Maraas to fix bug #124923
	which is several memory leaks in GNOME-CD.

2004-02-18  Ted Gould <ted@gould.cx>

	* callbacks.c, callbacks.h, gnome-cd.c:
	Adding patch for bug 112474 which was submitted by
	padraig.obriain@sun.com and fixes accessibility issues
	with the icon tray icon with gnome-cd.  Now key press
	events are handled.

2004-02-18  Breda McColgan <breda.mccolgan@sun.com>

	* doc/C/gnome-cd-C.omf: Corrected the category.
	
2004-02-18  Breda McColgan <breda.mccolgan@sun.com>

	* doc/C/gnome-cd.xml: Updated for GNOME 2.6 release.
	* doc/C/gnome-cd-C.omf: Updated for GNOME 2.6 release.
	* doc/C/l10n.txt: Updated for GNOME 2.6 release.

2003-10-13  Ted Gould  <ted@gould.cx>

	* callbacks.c: Applying patch with bug 123301 that is about the
	next and previous buttons not working appropriately when the
	player is at the end or beginning of a CD.  Patch was written
	by Vijaykumar Patwari.

2003-10-13  Ted Gould  <ted@gould.cx>

	* display.c, gnome-cd.c: If the GNOME searching programs can't
	find the graphics (usually if GNOME-CD is in a different directory
	than the rest of the GNOME stuff) then the compiler define is
	used.

2003-10-08  Ted Gould  <ted@gould.cx>

	* theme.c: Kjartan Maraas submitted a patch for bug #123662 to
	fix compiler warnings.

2003-09-17  Ted Gould  <ted@gould.cx>

	* gnome-cd.c: Added a patch from Balamurali Viswanathan to fix
	bug 82077 which talkings about song names getting too long.  This
	bug checks them and truncates them.  It also sets a tooltip for
	the complete name.

2003-09-05  Ted Gould  <ted@gould.cx>

	* callbacks.c, gnome-cd.c: Just adding the patch that is documented
	bellow.  Thanks Kaushal.

2003-09-05  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* gnome-cd.c: Added a monitor for tray destroy.
	* gnome-cd.c(tray_object_destroyed): Callback.   
	* callbacks.c: Null check tray_tips before passing it.
	Fixes bugzilla bug #121538.

2003-08-25  Irene Ryan <irene.ryan@sun.com>

	* doc/C/gnome-cd.xml: minor updates to Help for GNOME 2.4 release
	* doc/C/gnome-cd-C.omf: updated release and version information
	* doc/C/l10n.txt: updated instructions for L10N teams
	* doc/C/figures/cdplayer_window.png: updated screenshot of main window

2003-08-25  Ted Gould  <ted@gould.cx>

	* cddb.c: Another patch from Balamurali Viswanathan - this one
        to update the CDDB information a little more often (like when
        it should be :)

2003-08-10  Ted Gould  <ted@gould.cx>

	* solaris-cdrom.c: Added patch that was included in bug 94506 and
	submitted by Balamurali Viswanathan.

2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* gnome-cd.desktop.in: Add X-Bugzilla entries.

2003-05-04 Iain <iain@prettypeople.org>

	* Applied patches from Achim Settelmeier <gnome-cd@sirlab.de> to add
	a position bar to the display, add a total length to the display and
	fix some crashes.

2003-04-24  Irene Ryan <irene.ryan@sun.com>

	* doc/C/gnome-cd.xml: Various updates, removed
	  default settings from the Preferences section as they
	  vary with each distribution
	* doc/C/gnome-cd-C.omf: Updated the release info 
	  for the help
	* doc/C/l10n.txt: Updated instructions for translators

2003-04-08 Padraig O'Briain <padraig.obriain@sun.com>

	* access/cddisplayaccessible.c (cddisplay_accessible_ref_child):
	Omit warning message if index is too large.

	* access/pangoaccessible.c (pango_accessible_ref_state_set): New 
	function to cause VISIBLE and SHOWING states to be reported.
	Fixes bug #106711.

2003-03-28 Iain <iain@prettypeople.org>

	* access/cddisplayaccessiblefactory.h: Fix warnings

2003-03-28 Iain <iain@prettypeople.org>

	* applied patch from Alex Duggan to fix warnings.

2003-03-14 Iain <iain@prettypeople.org>

	* preferences.c (on_start_changed): Get the boolean.
	(on_stop_changed): Ditto.
	(restore_preferences): Get booleans.
	(preferences_free): Remove notifies.
	(preferences_dialog_show): HIGify the dialog, remove the abundance of
	behaviourial options.

	* gnome-cd.c (main): Remove the case statement, just check the 
	start_play value.
	(window_destroy_cb): Remove the switch.

	* gnome-cd.schemas.in.in: Remove the unused schemas, add the new ones

2003-01-23  Irene Ryan <irene.ryan@sun.com>

	* help/C/gnome-cd.xml: updated the help manual for GNOME 2.2
	* help/C/gnome-cd-C.omf: updated the manual release info  
	
2003-01-11 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* linux-cdrom.c (linux_cdrom_play): Added a break statment 
	* solaris-cdrom.c (solaris_cdrom_play): Added a break statment 
	* freebsd-cdrom.c (freebsd_cdrom_play): Added a break statment 

2003-01-09 Iain <iain@prettypeople.org>

	* gnome-cd.c (main): Apply patch from Owen Taylor for bug 102984

2002-12-16  Christian Neumair  <chris@gnome-de.org>

	* .cvsignore: Updated.
	* callbacks.c: Revamped about dialog.

2002-12-09 Iain <iain@prettypeople.org>

	* callbacks.c (about_cb): Remove translation, add extra copyright

2002-12-07 Iain <iain@prettypeople.org>

	* gnome-cd.c: Register buttons as stock buttons

	* theme.c: Remove loads of crap.

2002-12-07 Iain <iain@prettypeople.org>

	* gnome-cd.c (main): Show the window initially.

2002-12-07 Iain <iain@prettypeople.org>

	* callbacks.c (status_ok): Fix memory leak, check we don't deref a 0x0

2002-12-03  Christian Neumair  <chris@gnome-de.org>

	* callbacks.c: Revamped about dialog.

2002-10-09  Havoc Pennington  <hp@pobox.com>

	* preferences.c (preferences_dialog_show): call it "CD Player"

	* gnome-cd.c (gnome_cd_set_window_title): change title to "CD
	Player"
	(init_player): change title to "CD Player", and set 
	window role instead of window class for ICCCM compliance.
	Matched window stuff should still be able to key off the role, 
	I know it can in Sawfish.

2002-10-16  Kjartan Maraas  <kmaraas@gnome.org>

	* preferences (create_theme_model): Add call to closedir().
	Fixes a leak.
	
2002-10-10 Iain <iain@prettypeople.org>

	* gnome-cd.c (gnome_cd_set_window_title): Swap the title and artist
	around.
	(init_player): Make the error dialogs have good grammar form. :)
	Call it the CD player everywhere.
	(callbacks.c): Call it CD player.
	(preferences.c: Call it CD player.

2002-10-09 Iain <iain@prettypeople.org>

	*: Applied Redhat patches from Owen Taylor.

2002-08-30  Pier Luigi Fiorini  <plfiorini@supereva.it>

       * Makefile.am: Added eggtrayicon.[ch] to the SOURCES.

       * gnome-cd.c (init_player), gnome-cd.h:
       * callbacks.c (tray_icon_clicked):
       * callbacks.c (status_ok):
       Added the tray icon support, fixed bug #57553.

2002-10-08 Iain <iain@prettypeople.org>

	* gnome-cd.[ch]:
	* preferences.c: Applied Owen's patch to add a --device option.
	 
2002-10-08 Iain <iain@prettypeople.org>

	* gnome-cd.schemas.in.in: Added descriptions

2002-10-08 Iain <iain@prettypeople.org>

	* gnome-cd.schemas: Made the default on ext to stop

2002-09-24 Muktha <muktha.narayan@wipro.com>

	* preferences.c: Added accessible descriptions for the
	  radio buttons. Fixes issue 2 of #90550.

2002-10-07 Iain <iain@prettypeople.org>

	* preferences.c (preferences_dialog_show): Don't allow the close button
	to work if the device isn't right.
	(apply_clicked_cb): Ditto

	* cdrom.c (cdrom_get_status): Free status in the right place.

2002-10-07 Iain <iain@prettypeople.org>

	* cdrom.c (cdrom_set_device): Check if the device is ! NULL.
	(cdrom_init): Set the device to /dev/cdrom.
	(timeout_update_cd): When get_status returns FALSE, status is not valid.

	* gnome-cd.c (init_player): Get a new cdrom device once the device is 
	set. If it is not valid, get it again.

	* linux-cdrom (linux_cdrom_get_status): Free real status

2002-10-07  Iain <iain@prettypeople.org>

	* gnome-cd.c
	freebsd-cdrom.c
	linux-cdrom.c
	cdrom.c
	solaris-cdrom.c: Fixed memory leaks

2002-08-30  Narayana Pattipati <narayana.pattipati@wipro.com>

	* gnome-cd.c (init_player): Made changes so that the "Invalid CD 
	Device" error message shows error details only after clicking 
	Details button.  Bug#91776
	
	* cdrom.c : Changed the the linux specific error message to a 
	generic one.  Bug#91776

2002-10-07 Iain <iain@prettypeople.org>

	* solaris.c: Remove debugging spew from Bala

2002-09-23 Iain <iain@prettypeople.org>

	* gnome-cd.desktop.in: Fixed spelling

2002-09-23 Iain <iain@prettypeople.org>

	* preferences.c (preferences_dialog_show): Add a : to the label.
	Set a sensible default size.

2002-08-23  Muktha <muktha.narayan@wipro.com>
	
	* gnome-cd.c: Added 'Help' in the popup menu.

	* callbacks.c: Added the callback function help_cb.
	  Fixes #90545

2002-08-01  Iain <iain@prettypeople.org>

	* callbacks.c (volume_changed): Handle the value as being negative.

	* gnome-cd.c (init_player): Don't invert the slider, make it take
	values from -255.0 to 0.

2002-08-01  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* preferences.c (apply_clicked_cb): Allow users to Change
	the default device
	
2002-07-01 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* theme.c (theme_load): Assign a default theme if the one set does
	not exist bugid #86544

2002-06-20  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* cdrom.h Added GNOME_CDROM_STATUS_NO_DISC and 
	GNOME_CDROM_STATUS_NO_CDROM.
	
	* solaris-cdrom.c: Get the proper satutus
	detection of cdrom in solaris from Gerald.Jelinek@sun.com

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* gnome-cd.desktop.in: use X-GNOME-DocPath instead
	of DocPath.

2002-06-22 Iain <iain@prettypeople.org>

	* linux-cdrom.c: Removed all _()

	* solaris-cdrom.c: Removed some pointless debugging lines.

	* freebsd-cdrom.c: Removed all _()s and pointless debugging spewage.

2002-06-06  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* Makefile.am : Added DATADIR required for help callback.

	* preferences.c : Added the Help button in the prefernce dialog 
	  box and put the help callback.

2002-06-22  Iain <iain@prettypeople.org>

	* freebsd-cdrom.c (finalise): Fix typo.

2002-06-15  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* cdrom.h Added GnomeCDRomDeviceLifetime and added this parameter
	to gnome_cdrom_construct
	* fix for bug 84477 

2002-05-30  Michael Meeks  <michael@ximian.com>

	* cdrom.c (not_ready_status_new): create a not ready
	status and return it.
	(timeout_update_cd): if get_status fails, set status
	as not ready, so that we get a positive edge when at
	last we can read the CD drive again ( on Solaris ), so
	that we re-read the track data correctly #83394

	* *.c: use g_new0 pretty much everywhere to save the
	plague of uninitialized bits.

2002-05-29 Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Make the option menu expand to the
	fullsize of the window.

2002-05-29 Iain <iain@ximian.com>

	* cddb.c: Removed debugging spew.

2002-05-29 Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Set the title to the correct GNOME
	 standard..
	(gnome_cd_set_window_title): Ditto.

	* preferences.c (preferences_dialog_show): Ditto.

2002-05-29 Iain <iain@ximian.com>

	* display.c (expose_event): Use the text colour for the text and not
	black.

2002-05-27 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* gnome-cd.c (init_player): Added tooltip for Volume control and
	track list

2002-05-29  Michael Meeks  <michael@ximian.com>

	* callbacks.c (set_window_track_title): split out of
	(status_ok): here and do some more checking on
	the track index etc.

	* cdrom.c (gnome_cdrom_status_changed): copy the
	status while emitting the signal, so it doesn't
	get freed by some other method, during manipulations
	on the GnomeCD at a later date, while we're holding
	a pointer to it. #79778

2002-05-29  Michael Meeks  <michael@ximian.com>

	* preferences.c (preferences_free): don't
	de-reference an un-initialized pointer.

	* callbacks.c (play_cb): setup end_track, don't
	compare it with no effect.

	* gnome-cd.c (make_button_from_file): kill, unused.

	* access/factory.c (setup_factory): rename to
	something useful, remove bogus 'static' prototype
	from header !

	* *.[ch]: clean warnings, add missing prototypes
	etc. blah blah.
	
	* access/pangoaccessible.c
	(pango_accessible_get_text): fix gailutil code.

	* cdrom.c (gnome_cdrom_get_dev_fd): impl.
	(gnome_cdrom_open_dev, gnome_cdrom_close_dev): impl.
	(timeout_update_cd, gnome_cdrom_update_cd): impl.
	(cdrom_dispose): impl. to unhook the timeout.
	(cdrom_finalize): don't leak recent_status.
	(timeout_update_cd): remove == TRUE abomination.

	* linux-cdrom.c,
	* solaris-cdrom.c,
	* freebsd-cdrom.c: Fix rats nest of cut and paste
	evilness, much of it now cleanly genericized
	inside gnome-cdrom.c

2002-05-27  Michael Meeks  <michael@ximian.com>

	* gnome-cd.c (gnome_cd_build_track_list_menu):
	minor crasher fix.
	(main): force efence linkage.

2002-05-23 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* callbacks.c (play_cb): fix for bug id 82744

2002-05-24 Iain <iain@ximian.com>

	* callbacks.c (set_track_option_menu): Helper function to block
	signals, set the history and unblock the signals.
	(status_ok): Use the helper functions.
	Reset the tracklist and play button when a CD is finished.

2002-05-13 Iain <iain@ximian.com>

	* display.c: Don't use RED!

2002-05-09 Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Newer gui layout. Add some padding.

2002-05-03  jacob berkman  <jacob@ximian.com>

	* gnome-cd.[ch] (gcd_warning): don't inline, as it's more trouble
	than it's worth

2002-05-03 Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Fix a typo, and rearrange gui slightly

2002-05-02 Iain <iain@ximian.com>

	* gnome-cd.c (gcd_warning): Quick function to print a warning only if
	GNOME_CD_DEBUG is set.

	* callbacks.c: Use gcd_warning instead of g_warning.

	* linux-cdrom.c: Use gcd_warning instead of g_warning.

2002-05-01 Iain <iain@ximian.com>

	* gnome-cd.schemas.in: Change the default theme to the media one.

2002-05-01 Iain <iain@ximian.com>

	* callbacks.c (status_ok): Don't pass NULL to either the set_window, 
	or the display_set_line.

2002-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* linux-cdrom.c: Fix a typo.
	
2002-04-30 Iain <iain@ximian.com>

	* display.c (expose_event): Draw the text in the right place.
	(cd_display_set_line): Don't do anything if the strings are the same.

	* gnome-cd (gnome_cd_set_window_title): Change the AND to an OR.

2002-04-29 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* solaris-cdrom.c (solaris_cdrom_is_cdrom_device): Changed
	CDROMSTOP to CDROMVOLCTRL

2002-04-29 Iain <iain@ximian.com>

	* access/Makefile.am: Remove the includedir flag.

2002-04-25 Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	* freebsd-cdrom.c: Last remaining string translations and string
	changes from linux-cdrom.c. Added one more permissions check.
	(freebsd_cdrom_is_cdrom_device): Use CDIOCGETVOL instead of
	CDIOCGETCAPABILITY, which wasn't supported by the ATAPI driver.

2002-04-25 Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	* freebsd-cdrom.c: Translate some strings. Add extra permission/
	status checks. 
	(freebsd_cdrom_eject): Set refcount to to object to 0. 
	(freebsd_cdrom_get_status): Fix uninitialized variable. Get the
	current volume.
	(freebsd_cdrom_is_cdrom_device): Use CDIOCGETCAPABILITY
	instead of CDIOCSTOP for drive check.

2002-04-25 Iain <iain@ximian.com>

	* linux-cdrom.c (linux_cdrom_set_device): Return FALSE on failure. Doh.

	* preferences.c (do_device_changed): Actually check if there's an
	error and display it in a pretty dialog.

2002-04-25 Iain <iain@ximian.com>

	* linux-cdrom.c (linux_cdrom_set_device): Check for permission.
	(linux_cdrom_open): Ditto.

2002-04-25 Iain <iain@ximian.com>

	* linux-cdrom.c: Make error messages more better english grammar.
	(gnome_cdrom_new): Check we have permission to open the device, so we
	can give a more specific error.

	* gnome-cd.c (init_player): Print the error that the cd backend
	returned as it can be more specific.

2002-04-25 Iain <iain@ximian.com>

	* callbacks.c (status_ok): Sensitise everything.
	(cd_status_changed_cb): Set certain buttons unsensitive depending on
	the status.

2002-04-21 Iain <iain@ximian.com>

	* gnome-cd.c: Applied patch from Changwoo Ryu

2002-04-20 Iain <iain@ximian.com>

	* linux-cdrom.c (linux_cdrom_get_status): Failure to get volume isn't
	fatal.

	* solaris-cdrom.c (solaris_cdrom_get_status): Ditto

2002-04-10 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

       * solaris-cdrom.c (solaris_cdrom_get_status): To get the initial volume
       (solaris_cdrom_set_volume): Sets both the system volume and cd drive
       volume
       (class_init):Added the method for volume

2002-04-19 Iain <iain@ximian.com>

	* linux-cdrom.c (linux_cdrom_is_cdrom_device): Don't use stop as the
	check. It, ummm, stops the CD playing.

2002-04-18 Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	* freebsd-cdrom.c: Fix segfault on play by taking the track no. 
	returned from the IOCTL, not the one passed to it (which was garbage).

2002-04-17 Iain <iain@ximian.com>

	* preferences.c (add_relation): Do some Atk black magic.
	(add_paired_relations): Ditto.
	(preferences_dialog_show): Link the cd device label with it's entry,

2002-04-14 Iain <iain@ximian.com>

	* linux-cdrom.c: Make strings translatable by Christophe Fergeau

2002-04-14  Mikael Hallendal  <micke@codefactory.se>

	* access/pangoaccessible.[ch]: util/ -> libgail-util/

2002-04-13 Iain <iain@ximian.com>

	* gnome-cd.c (make_button_from_pixbuf): Make-a-button-from-a-pixbuf.
	duh!
	(init_player): Make all the buttons from the theme pixbufs.

	* prefereences.c (do_theme_changed): Change the widgets too.
	Remove debugging spewage.

	* theme.c (parse_theme): Ref all the pixbufs.
	(theme_free): Free the theme.
	(theme_change_widgets): Change the pixbufs in the widgets.

	* images/media-theme: New theme to test the widgert change.
	
2002-04-12 Iain <iain@ximian.com>

	* preferences.c (do_theme_changed): Change the theme.

2002-04-10 Iain <iain@ximian.com>

	* gnome-cd.desktop.in: Added DocPath so that documentation will
	appear.

2002-04-10 Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	Sync with gnome-cd changes.

	* freebsd-cdrom.[ch]: Add extra safeguards for CDROM status.
	(freebsd_cdrom_is_cdrom_device): CDROMSTOP -> CDIOCSTOP.
	(freebsd_cdrom_set_volume): Impl.
	(class_init): Add new methods.

2002-04-08 Iain <iain@ximian.com>

	* cdrom.[ch]: Added a is_cdrom_device method to check if a device path
	is really a CDRom device.

	* linux-cdrom.c (linux_cdrom_is_cdrom_device): Send a CDROMSTOP ioctl
	to the path.
	(linux_cdrom_set_device): Check if the device is a CDRom device.
	(gnome_cdrom_new): Ditto.

	* solaris-cdrom.c: As above.

	* freebsd-cdrom.c: As above.

2002-04-08 Iain <iain@ximian.com>

	* callbacks.c (status_ok): Change the album/artist at the right time.

2002-04-08 Iain <iain@ximian.com>

	* callbacks.c (status_ok): Function that does all the stuff when the
	status is OK.
	(cd_status_changed_cb): Move all the OK stuff out into status_ok.

2002-04-07 Iain <iain@ximian.com>

	* preferences.c (restore_preferences): Check the dangerous options and
	print a warning about gconf schemas not installed and initialise them
	to values that won't cause crashes.

2002-04-04 Jayaraj Rajappan <jayaraj.rajappan@wipro.com>

	* access/pangoaccessible.c : added the get_index_in_parent interface.

2002-04-04 Iain <iain@ximian.com>

	* callbacks.[ch] (volume_changed): Change the CD volume.

	* cdrom.[ch] (cdrom_set_volume): Dummy "Not implemented" functions.
	(class_init): Connect the dummy function.
	(gnome_cdrom_set_volume): Call the real function.

	* gnome-cd.[ch] (init_player): Hook up a volume control.

	* linux-cdrom.c (linux_cdrom_get_status): Get the current volume.
	(linux_cdrom_set_volume): Set the volume.
	(class_init): Set the real method.

2002-04-02 Iain <iain@ximian.com>

	* cddb.c (count_tracks): Count the number of tracks in the info.
	(get_disc_info): If the number of tracks returned != the requested
	number, then NULL the info and accept it as bad data.

	* gnome-cd.c (rebuild_track_option_menu): Check that the info is
	valid before dereferencing.

2002-03-29 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* solaris-cdrom.c (solaris_cdrom_eject): close the audio device when
	ejected,  fix for bug 75601

2002-03-25 Jayaraj Rajappan <jayaraj.rajappan@wipro.com>

	* Miscellaneous fixes in access directory.
	Files changed : access/pangoaccessible.c, access/pangoaccessible.h
        access/cddisplayaccessible.c

2002-03-30 Iain <iain@ximian.com>

	* gnome-cd.c (window_destroy_cb): ifdef out the close tray options.
	(main): Ditto

	* preferences.c (close_on_start_changed): Ifdefed out
	(restore_preferences): Ifdef out the closetray options.
	(preferences_free): Ditto.
	(prefs_destroy_cb): Ditto.
	(stop_close_toggled_cb): Ifdefed out.
	(change_stop_widget): Ifdef out the close tray options.
	(start_close_toggled_cb): Ifdefed out.
	(change_start_close_widget): Ditto.
	(preferences_dialog_show): Ifdefed out the close tray options.

2002-03-23 Iain <iain@ximian.com>

	* cddb.c (cddb_free_disc_info): Free an info struct.

	* callbacks.c (cd)status_changed_cb): In the Not OK sections, free the
	old disc info so that we won't access it.

2002-03-21 Jayaraj Rajappan <jayaraj.rajappan@wipro.com>

	* access/pangoaccessiblefactory.c - return correct factory type
	* access/cddisplayaccessiblefactory.c - return correct factory type

2002-03-20 Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Use tigerts icons.

	* images/Makefile.am: Add tigert's icons.

2002-03-19 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* gnome-cd.c: Added basic session management.

2002-03-19 Iain Holmes <iain@ximian.com>

	* linux-cdrom.c (linux_cdrom_rewind): Check that the CD status is 
	GNOME_CDROM_STATUS_OK before trying to rewind.
	(linux_cdrom_back): Ditto.
	(linux_cdrom_ffwd): Ditto.
	(linux_cdrom_next): Ditto.

2002-03-14 Jayaraj Rajappan <jayaraj.rajappan@wipro.com>

	* pangoaccessible.c - pango_accessible_get_text() : fix to get
			      the updated text each time.

2002-03-13 Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	* freebsd-cdrom.[ch]: Added these files. FreeBSD implementation of
	CD access routines.

	* Makefile.am: Add freebsd-cdrom.[ch].

2002-03-11 Iain <iain@ximian.com>

	* gnome-cd.c: Apply patch from Theo van Klaveren.

2002-03-10 Iain <iain@ximian.com>

	* linux-cdrom.c (update_cb): Use the old function.
	(linux_cdrom_get_status): Revert.

	* solaris-cdrom.c (solaris_cdrom_get_status): Layout stuff better.

2002-03-06 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>
	* display.c theme.c gnome-cd.c 
	Removed some deprecated calls

2002-03-06  Iain <iain@ximian.com>

	* callbacks.c (restart_track_editor): Restart the track editor when
	it dies unexpectedly.
	(destroy_track_editor): Stop listening for the track editor death.
	(open_track_editor): Listen for track editor death.

2002-03-05  Iain <iain@ximian.com>

	* preferences.c (preferences_dialog_show): Apply patch from
	jayaraj.rajappan to attach the label to the entry widget.

2002-03-03  Iain <iain@ximian.com>

	* callbacks.c: Make a global track editor object.
	(destroy_track_editor): Free the global object.

	* gnome-cd.c: Free the track editor on quit.

2002-03-01  Iain <iain@ximian.com>

	* display.[ch]: Removed the default text stuff.
	(init): Just set the texts to " "

2002-03-01  Iain <iain@ximian.com>

	* cddb.[ch] (close_cddb_client): Destroy the CDDBSlave as we don't
	need it now.

	* gnome-cd.c (window_destroy_cb): destror the cddbslave.

2002-02-28  Iain <iain@ximian.com>

	* Added accessibility stuff for the display widget from 
	JAYARAJ P R <jayaraj.rajappan@wipro.com>
	
2002-02-28  Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Make the track editor button ghosted.

	* callbacks.c (cd_status_changed_cb): Make the track editor button
	ghosted or not, depending on the status of the CD drive.

	* display.c: Remove debugging crap.

	* linux-cdrom.c (linux_cdrom_get_status): A function that just copies
	the old status.
	(linux_cdrom_real_get_status): A function that actually gets the
	status.

	* theme.c: Remove debugging crap.

2002-02-27  Iain <iain@ximian.com>

	* Makefile.am: Use the correct schema variable.

2002-02-27  Iain <iain@ximian.com>

	* .cvsignore: Add some more files

2002-02-27  Iain <iain@ximian.com>

	* Makefile.am: Add the Solaris stuff from Balamurali Viswanathan	

	* solaris-cdrom.[ch]: Solaris implementation for the CD player from
	Balamurali Viswanathan.

2002-02-26  Iain <iain@ximian.com>

	* Makefile.am: Make the IDL stuff.
	
	* callbacks.c: Include bonobo things.
	(open_track_editor): Start up the track editor.
	
	* cddb.c: Use new CDDBSlave methods.
	
	* gnome-cd.c (init_player): Don't make the track editor button ghosted

2002-02-24  Zbigniew Chyla  <cyba@gnome.pl>

	* callbacks.c (cd_status_changed_cb): Marked strings for translation.

2002-02-16  Iain <iain@ximian.com>

	* preferences.c (apply_clicked_cb): Don't return if prefs->device is
	NULL.

	* gnome-cd.c (init_player): Change the title on the window.

	* linux-cdrom.c (gnome_cdrom_new): Close the CD device if opening it
	succeeded.

2002-02-14  Iain <iain@ximian.com>

	* gnome-cd.c (init_player): Only dereference the error if it isn't 
	NULL.

	* linux-cdrom.c (gnome_cdrom_new): Allow NULL and "" for the device 
	name.

2002-02-14  Iain <iain@ximian.com>

	* callbacks.c (rewind_press_cb): Only set a new timeout if one isn't
	running.
	(rewind_release_cb): Zero the timeout value.
	(ffwd_press_cb): Only set a new timeout if one isn't running.
	(ffwd_release_cb): Zero the timeout value.

2002-02-14  Iain <iain@ximian.com>

	* callbacks.c (ffwd_press_cb): Call ffwd_timeout_cb so that the first
	click makes the cd player skip.
	(rewind_press_cb): Ditto.

2002-02-11  Iain <iain@ximian.com>

	* linux-cdrom.c (gnome_cdrom_new): Don't return NULL if the cd device
	can't be opened.

	* gnome-cd.c (init_player): Only connect to the cdrom if it exists.
	Display the preferences dialog if it can't.

2002-02-11  Iain <iain@ximian.com>

	* preferences.c (device_changed_cb): Don't strcmp on NULL
	(apply_clicked_cb): Don't strcmp on NULL.
	
2002-02-10  Iain <iain@ximian.com>

	* cddb.c (get_disc_info): Use the new CDDBSlave stuff.

2002-02--7  Iain <iain@ximian.com>

	* callbacks.c (open_preferences): Update for the new args.

	* gnome-cd.c (init_player): If the cdrom device gets set to blank,
	inform the user and give them the option of opening the prefs dialog
	to fix the problem.

	* preferences.c (do_device_changed): Only set a new device is cdrom !=
	NULL.
	(preferences_free): Remove the theme_id notify.
	(prefs_destroy_cb): Remove the theme_id notify.
	(theme_selection_changed_cb): Set the new theme.
	(change_theme_selection_widget): Change the theme to the new one.
	(create_tree_model): Create a list of themes.
	(preferences_dialog_show): Take a gboolean to set only the device.
	set widgets sensitive depending on that gboolean.

2002-02-02  Iain Holmes  <iain@ximian.com>

	* preferences.[ch]: New file for preferences.

	* Makefile.am: install the .schemas file

	* callbacks.[ch]: Open preferences callback added.

	* cdrom.[ch]: Add a set_device function.

	* gnome-cd.c (window_destroy_cb): Do the on-stop actions.
	(player_init): Create preferences.
	(main): Do the on-start actions.

	* linux-cdrom.c (linux_cdrom_set_device): Implement the set_device
	method.

2002-02-02  Seth Nickell  <snickell@stanford.edu>

	* gnome-cd.png:

	Change to Jimmac's pretty new CD icon :-)

2002-01-26  Iain Holmes  <iain@ximian.com>

	* images/lcd-theme/*: Added more icons, and lcd.theme file.

	* Makefile.am: Remove the includedir line, and add the THEME_DIR 
	define.

	* display.c: Define CDDisplayTheme structure.
	(cd_display_resize_images): Resize and reposition images.
	(expose_event): Resize the images if they need it. Use theme instead
	of priv->images.
	(cd_image_new): Only call gnome_pixmap_file if the filename isn't
	absolute. Initialise scaled with pixbuf and ref it.
	(make_fullname): Take a file and a theme name and work out the full
	path
	(cd_display_parse_theme): Parse the theme.

	* gnome-cd.c: Remove the pangoft2.h include. Set the default theme to
	lcd.
	(init_player): load the theme.

	* theme.c: New file to load the theme.
	
	
2002-01-26  Gediminas Paulauskas <menesis@delfi.lt>

	* gnome-cd.c: get translations in UTF-8

2002-01-21  Iain Holmes  <iain@ximian.com>

	* callbacks.c (cd_status_changed_cb): Handle the repeat issue when the
	CD is completed.

2002-01-20  Iain Holmes  <iain@ximian.com>

	* callbacks.c (play_cb): Play until the correct end track.
	(loopmode_changed_cb): Change the loopmode.
	(playmode_changed_cb): Change the playmode.

	* cdrom.c (cdrom_play): Change the parameters.
	(init): Init the loopmode and playmode.
	(gnome_cdrom_play): Change the parameters.

	* cdrom.h: Add GnomeCDRomMode;

	* display.c (size_request): Calculate the height of the images.
	(draw_pixbuf): Draw pixbuf using
	gdk_pixbuf_render_to_drawable_with_alpha.
	(expose_event): Draw the correct info icons.
	(realize): Add the events to the widget.
	(button_press_event): Check where the widget was clicked, change the
	icon as appropriate.
	(class_init): Create the signals and connect the
	button_press_callback.
	(init): Load the new icons.

	* gnome-cd.c (skip_to_track): Set the end track correctly.
	(init_player): Attach to the display signals.

	* linux-cdrom.c (linux_cdrom_next): Set the end correctly.
	(linux_cdrom_ffwd): Set the end correctly.
	(linux_cdrom_play): Set the end of the play correctly.
	(linux_cdrom_rewind): Set the end correctly.
	(linux_cdrom_back): Set the end track correctly.

	* images/Makefile.am: Add the new icons.

2002-01-18  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (make_popup_menu): Set the image for the menu, from
	either stock of file.

	* images/Makefile.am: Add the a-*-menu.png files

2002-01-18  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (init_player): Use some icons jimmac did.
	(make_popup_menu): Add a popup menu for the display.

2002-01-13  Iain Holmes  <iain@ximian.com>

	* display.c (draw_pixbuf): Add helper function so I can change how
	the pixbufs are drawn without having to change it in many places.
	(expose_event): Use draw_pixbuf. Remove the GC creations. Don't scale
	the pixbufs here, use the pre-calculated scaled ones.
	(scale_image): Scale the image to the size required.
	(size_allocate): Scale the image.
	(cd_image_new): Set the scaled pixbuf to NULL and set the x and y
	correctly.

2002-01-13  Iain Holmes  <iain@ximian.com>

	* display.c (expose_event): Don't fill the area with black.

	* images/Theme-Limitations: Document describing themes

2002-01-13  Iain Holmes  <iain@ximian.com>

	* display.c (size_allocate): Resize the images depending on the
	display size.
	(size_request): Play around with size.
	(expose_event): Loop through all the images, drawing the ones that
	are needed. Draw text in black gc.
	(cd_image_new): Create a new CDImage structure.
	(init): Load the images.

2002-01-12  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (gnome_cd_build_track_list_menu): Print the track number
	before the track name.

2002-01-11  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (window_destroy_cb): Unref the cdrom to stop it emitting
	signals while the rest of the window is being destroyed.
	(gnome_cd_build_track_list_menu): Block the changed signal while we
	change the tracklist menu.
	(make_button_from_widget): Set the border width around the buttons to
	2.

	* callbacks.c (cd_status_changed_cb): Block the signal again.
	
2002-01-11  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (skip_to_track): Skip to the currently selected track.
	(init_player): Connect skip_to_track to the option menu signal.

	* callbacks.c (cd_status_changed_cb): Check which track is visible
	in the option menu, and if it's not the same change it.

2002-01-11  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (init_player): Remove deprecated function use, set the
	default size for the window.

	* display.c (size_request): Recalculate the width/height in this
	function. 

2002-01-11  Iain Holmes  <iain@ximian.com>

	* gnome-cd.h: s/rebuild/build/

	* cddb.c (cddb_get_query): Rebuild the tracklist if the disc is
	already in the cache.

	* display.c (cd_display_clear): Calculate the correct width.

2002-01-10  Iain Holmes  <iain@ximian.com>

	* *.c: Add the emacs crap at the top.

	* callbacks.c (cd_status_changed_cb): Don't put the track name on 
	the display. Set the window title to something useful.

	* cddb.c (load_cddb_data): Rebuild the tracklist menu.

	* display.h: Remove the CD_DISPLAY_LINE_TRACK enum value.

	* gnome-cd.c (gnome_cd_set_window_title): Function to set the
	window title to something.
	(gnome_cd_build_track_list_menu): Generate an option menu from the
	tracknames.
	(init_player): Add an option menu for the tracks. Remove the mixer
	button and volume button.

	* linux-cdrom.c (linux_cdrom_get_status): Handle the other
	CDS_ status results.

2002-01-09  Iain Holmes  <iain@ximian.com>

	* cddb.c (load_cddb_data): Swap the artist and album title round. Opps

	* gnome-cd.c (make_button_from_widget): Set a short name for 
	accessibility.
	(make_button_from_file): Take a shortname.
	(make_button_from_stock): Take a shortname.
	(init_player): Set the short name for all the buttons. Make the
	tracklist, preferences and volume buttons inactive until they do stuff.

	* callbacks.c: Include i18n headers
	(eject_cb): Change the play buttons short name.
	(play_cb): Ditto.
	(stop_cb): Ditto.
	(ffwd_press_cb): Ditto.
	(next_cb): Ditto.
	(back_cb): Ditto.
	(rewind_press_cb): Ditto.
	
2002-01-06  Iain Holmes  <iain@ximian.com>

	* callbacks.c (cd_status_changed_cb): Use the cddb info if we have
	some.

	* cddb.c: Add a cddb cache for already loaded discids
	(load_cddb_data): Parse the CDDB data.
	(cddb_listener_event_cb): Set the cd info to NULL if there's an error.
	(cddb_make_disc_info): Create the discid as a string. Store the number
	of tracks.
	(cddb_get_query): Create the cache.

	* display.c: Add some return_if_fails

	* gnome-cd.c (init_player): Make the toplevel a GtkWindow rather 
	than a BonoboWindow.

	* gnome-cd.h: Define the GnomeCDDiscInfo struct.

	* linux-cdrom.c (linux_cdrom_get_status): Initialise the track number
	to 1.

2002-01-02  Iain Holmes  <iain@ximian.com>

	* callbacks.c (maybe_close_tray): Function to try to close the CD
	tray.
	(stop_cb): Call maybe_close_tray.
	(ffwd_cb): Ditto.
	(next_cb): Ditto.
	(back_cb): Ditto.
	(rewind_cb): Ditto.
	(cd_status_changed_cb): Update the display, get data from CDDB and
	make the debugging spew silent.

	* cddb.c (load_cddb_data): Stub function to load CDDB data.
	(listener_event_cb): Work out what the event callback meant.
	(cddb_make_disc_info): Create a new disc structure.
	(cddb_get_query): Calculate the offsets correctly.

	* cdrom.c (gnome_cdrom_copy_status): Clone a status.

	* cdrom.h: Move ASSIGN_MSF here.

	* display.c: Use the new enums.
	(cd_display_clear): Clear the display.

	* gnome-cd.c (pixbuf_from_file): Create a pixbuf from a file.
	(init_player): Set the default window icon. Set a better icon on the
	mixer button.

	* linux-cdrom.c (linux_cdrom_eject): Try to close the tray if it's
	open, otherwise eject.
	(linux_cdrom_get_cddb_data): Calculate the CDDB data from the CD.

	* images/Makefile.am: Add 2 new icons

2001-12-31  Iain Holmes  <iain@ximian.com>

	* callbacks.[ch] (play_cb): Update for new cd stuff.
	(update_cb): Remove.
	(cd_status_changed_cb): New callback function.
	
	* cdrom.[ch] (class_init): Add a signal.
	(gnome_cdrom_status_changed): Function to emit the signal.
	(msf_equals): Check if 2 GnomeCDRomMSFs are equal.
	(gnome_cdrom_status_equal): Check if 2 GnomeCDRomStatus are equal.

	* display.c: Remove some debugging spewage.

	* gnome-cd.c (init_player): Use the new GnomeCDRom stuff.

	* linux-cdrom.c: Rewrite to be more careful about opening and closing
	the device, do things better and generally work.

2001-12-09  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* gnome-cd.desktop.in:
	* gnome-cd.png:

	Install a .desktop file into datadir/applications

2001-11-17  Iain Holmes  <iain@ximian.com>

	* callbacks.c (play_cb): Change the pause/play image depending on the
	buttons function.
	(stop_cb): Ditto
	(ffwd_press_cb): Ditto
	(next_cb): Ditto.
	(back_cb): Ditto.
	(rewind_press_cb): Ditto.

	* gnome-cd.h: Add entities for the pause/play images.

	* gnome-cd.c (init_player): Set up the pause play images.

2001-11-17  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (init_player): Set the last settings to be NOTHING, so
	that the first time the status is checked, if there is a disc, a 
	disc change will be registered.

2001-11-17  Iain Holmes  <iain@ximian.com>

	* gnome-cd.h (GnomeCD): Remove some unused items, add a last status
	entity.

	* gnome-cd.c (init_player): Remove the state initialisation and fix
	warning.

	* cddb.c: File to handle the cddb functions.

	* cdrom.[ch] (class_init): Add the pointer for the get_cddb_data method.
	(cdrom_get_cddb_data): Standard empty stub.
	(gnome_cdrom_free_cddb_data): Function to free the CDDB data.

	* linux-cdrom.c (linux_cdrom_get_cddb_data): Generate the data CDDB
	requires from the CD track info.
	(linux_cdrom_close_tray): Function that attempts to close the CD tray.

	* display.c (realize): Fix some warnings.
	(init): More warnings be gone.

	* Makefile.am: Add the CDDBSlave2 dir to the includes.

2001-11-17  Iain Holmes  <iain@ximian.com>

	* display.c: MAde the display into a GtkWidget.

	* gnome-cd.c (init_player): Remove all the PangoContext stuff.
	Use the new display widget instead of a drawing area.

2001-11-03  Iain Holmes  <iain@ximian.com>

	* gnome-cd.c (main): Added i18n stuff
